UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_rcv_transport_stats_lbtrdma_t_stct Struct Reference

DEPRECATED, do not use. LBT-RDMA is no longer supported. More...

`#include <lbm.h>`

## Data Fields
lbm_ulong_t | msgs_rcved
| Number of LBT-RDMA datagrams received. Depending on batching settings, a single LBT-RDMA datagram may contain one or more messages, or a fragment of a larger message. With LBT-RDMA, larger messages are split into fragment sizes limited by configuration option transport_lbtrdma_datagram_max_size (context) (default 4KB).
lbm_ulong_t | bytes_rcved
| Number of LBT-RDMA datagram bytes received, i.e., the total of lengths of all LBT-RDMA packets including UM header information.
lbm_ulong_t | lbm_msgs_rcved
| Number of messages or message fragments received over an LBT-RDMA transport. A single datagram may contain one or more messages or a fragment of a larger message. For fragmented messages larger than configuration option transport_lbtrdma_datagram_max_size (default 4KB), this count reflects the number of datagrams used to constitute those messages. Thus, this number is equal to or greater than the datagram counter (msgs_rcved, above). This number also includes messages received for which there was no interested receiver, which is tallied in the lbm_msgs_no_topic_rcved counter (below).
lbm_ulong_t | lbm_msgs_no_topic_rcved
| Number of messages received that were not for a topic of interest to the receiver. A high value (relative to, or approaching lbm_msgs_rcved above) indicates more CPU time required to filter out uninteresting topics, in which case, consider reconfiguring sources to filter more aggressively at the transport layer.
lbm_ulong_t | lbm_reqs_rcved
| Number of UM request messages received (message type LBM_MSG_REQUEST).

## Detailed Description

DEPRECATED, do not use. LBT-RDMA is no longer supported.

Deprecated:
  do not use. LBT-RDMA is no longer supported.

The documentation for this struct was generated from the following file:

- lbm.h